## qcomicbook 0.8.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(QComicBook)
SET(VERSION "0.8.2")
SET(PACKAGE qcomicbook) 
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release)
ENDIF()

IF(CMAKE_BUILD_TYPE STREQUAL "Release")
    ADD_DEFINITIONS( -DQT_NO_DEBUG_OUTPUT ) 
ENDIF()

SET(QT_MIN_VERSION "4.5.0")
FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE(${QT_USE_FILE})

INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(POPPLER poppler-qt4>=0.12.4)

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "\\\\.git.*"
 "/install_manifest\\\\.txt"
 "CMakeFiles/"
 "Makefile"
 "CMakeCache"
 "cmake_install\\\\.cmake"
 "CPack*" "~$" "\\\\.o$"
 "moc_.*"
 "ui_.+"
 "\\\\.qm$"
 "\\\\.cxx$"
 "/config\\\\.h$"
 "/qcomicbook$")
INCLUDE(CPack)

ADD_SUBDIRECTORY(i18n)
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(help)

MESSAGE("Build type: " ${CMAKE_BUILD_TYPE})
