=== help/CMakeLists.txt ===
INSTALL(FILES qcomicbook.1 DESTINATION share/man/man1)
