=== debian/changelog ===
qcomicbook (0.8.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group; see #826918.
  * Switch source format to "3.0 (quilt)":
    - stop using the quilt dh addon, patches are applied automatically now
    - drop the quilt build dependency, no more used now
    - remove README.source, no more useful now
  * Let debhelper configure cmake, so it is build in a subdirectory; this
    simplifies the cleaning of the build tree, so the manual job in dh_clean
    is not needed anymore.
  * Enable the parallel build.
  * Drop menu file and its pixmap, since qcomicbook already provides a
    .desktop file.
  * Build the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
  * Switch Homepage to http://github.com/stolowski/QComicBook.
  * Remove the unused autotools-dev build dependency.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove the install file, as all the files are already installed by the
    upstream build system.
  * Do not install TODO as documentation, as it is not useful for users.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Oct 2016 22:17:34 +0200

qcomicbook (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sat, 15 Oct 2011 05:27:06 +0200

qcomicbook (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends: libpoppler-qt4-dev

 -- Bart Martens <bartm@debian.org>  Fri, 26 Aug 2011 19:57:37 +0000

qcomicbook (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 13 Feb 2011 14:42:58 +0000

qcomicbook (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Mon, 27 Sep 2010 18:42:23 +0000

qcomicbook (0.5.0-2) unstable; urgency=low

  * New homepage.  Closes: #561987.

 -- Bart Martens <bartm@debian.org>  Tue, 23 Mar 2010 18:12:10 +0100

qcomicbook (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: 7.
  * debian/control: Build-Depends: debhelper (>= 7), quilt, cmake.
  * debian/control: No longer Build-Depends: cdbs.

 -- Bart Martens <bartm@debian.org>  Fri, 11 Dec 2009 17:46:15 +0100

qcomicbook (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Wed, 23 Sep 2009 17:36:28 +0200

qcomicbook (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Suggests: rar [i386 amd64].

 -- Bart Martens <bartm@debian.org>  Sat, 12 Sep 2009 16:50:03 +0200

qcomicbook (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends: libqt4-dev (>= 4.3.0).

 -- Bart Martens <bartm@debian.org>  Sat, 15 Aug 2009 12:22:45 +0200

qcomicbook (0.4.0-2) unstable; urgency=low

  * debian/control: "Recommends: zip, unzip" and "Suggests: rar, unrar".
    Closes: #532326.
  * debian/patches/02_desktop.diff: Added.  Closes: #532328.

 -- Bart Martens <bartm@debian.org>  Mon, 08 Jun 2009 20:58:33 +0200

qcomicbook (0.4.0-1) unstable; urgency=low

  * New maintainer.  Michal is welcome back at any time.
  * New upstream release.  Closes: #470789.
  * debian/control: Build-Depends on newer qt version, and on pkg-config.
  * debian/copyright: Updated.
  * debian/rules: Switch to cdbs.
  * debian/watch: Updated.  Closes: #450188.

 -- Bart Martens <bartm@debian.org>  Sat, 06 Jun 2009 16:00:05 +0200

qcomicbook (0.3.4-1) unstable; urgency=low

  * Initial release in Debian. Closes: #421970.
  * debian/compat, debian/control: debhelper version 5.
  * debian/control: Added homepage to long package description.
  * debian/rules: Removed config.guess and config.sub from the .diff.gz file.
  * debian/rules: Updated to have the "clean" rule restore everything.
  * debian/rules: Added use of dh_desktop.
  * debian/control: Fixing "Recommends" and "Suggests".

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sat, 05 May 2007 02:40:18 +0200

qcomicbook (0.3.4-0) unstable; urgency=low

  * New Upstream Release.
  * Updated watch and desktop files.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sun, 07 Jan 2007 18:11:42 +0100

qcomicbook (0.3.3-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Fri, 22 Sep 2006 16:08:46 +0200

qcomicbook (0.3.2-0) unstable; urgency=low

  * New Upstream Release.
  * REALLY bumped Standards-Version to 3.7.2 (no changes) - sorry.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sun, 27 Aug 2006 14:45:02 +0200

qcomicbook (0.3.1-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Tue, 22 Aug 2006 11:18:22 +0200

qcomicbook (0.3.0-0) unstable; urgency=low

  * New Upstream Release.
  * Little patch to continue support for not-so-new libimlib2
    (Debian Sarge, Ubuntu Hoary and Breezy)

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Wed, 16 Aug 2006 22:19:11 +0200

qcomicbook (0.2.8-0) unstable; urgency=low

  * New Upstream Release.
  * Moving "debian" directory out of upstram.
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sat, 01 Jul 2006 15:06:22 +0200

qcomicbook (0.2.7-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Fri, 03 Mar 2006 01:03:27 +0100

qcomicbook (0.2.6-0) unstable; urgency=low

  * New Upstream Release.
  * Correcting debianized files.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Tue, 27 Dec 2005 22:00:00 +0100

qcomicbook (0.2.5-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sun, 13 Nov 2005 21:05:24 +0100

qcomicbook (0.2.4-0) unstable; urgency=low

  * New Upstream Release.
  * Updated manpage.
  * Ubuntu compatibility and building process enabled. ;)

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Wed, 03 Aug 2005 23:14:03 +0100

qcomicbook (0.2.3-0) unstable; urgency=low

  * New Upstream Release.


