=== debian/control ===
Source: qcomicbook
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3.0), libimlib2-dev, pkg-config, cmake, libpoppler-qt4-dev
Standards-Version: 3.9.8
Homepage: http://github.com/stolowski/QComicBook

Package: qcomicbook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: unrar-free, zip, unzip, unace, bzip2 | pbzip2
Suggests: rar [i386 amd64], unrar
Description: qt viewer for comic book archives (cbr/cbz/cba/cbg/cbb)
 QComicBook is a viewer for comic book archives containing
 jpeg/png images, which aims at convenience and simplicity.
 Features include: automatic decompression, full-screen mode,
 page scaling, mouse or keyboard navigation etc.
 .
 QComicBook for now supports archives:
  - cbr - rar-compressed
  - cbz - zip-compressed
  - cba - ace-compressed
  - cbg - targzipped
  - cbb - tarbzip2ped
