=== debian/changelog ===
qcomicbook (0.9.1-4) unstable; urgency=medium

  * Add i18n/qcomicbook_*.ts to extend-diff-ignore (auto-generated files
    included in orig tar modified during build) (Closes: #1045881).
  * Replace pkg-config with pkgconf.
  * Bump Standards-Version to 4.7.2 (no changes required).
  * Add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to dh_auto_configure (Closes: #1113438).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 29 Sep 2025 03:32:53 +0200

qcomicbook (0.9.1-3) unstable; urgency=medium

  * Adopt the package (Closes: #826918).
  * d/control: bump debhelper compat to 13 (remove d/compat, remove
    parallel option to dh).
  * d/control: Bump Standards-Version to 4.6.1 (no changes required).
  * d/watch: Update version.
  * d/rules: add hardening option.
  * Update patches:
    - 01_fr.diff: Correct french GenericName and add french Comment.
    - 02_desktop.diff: refresh, add argument to Exec.
    - backport fix_temporary_directory.patch (upstream PR).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 18 Jan 2023 05:45:07 +0100

qcomicbook (0.9.1-2) unstable; urgency=medium

  * QA upload.
  * Build-depend on qttools5-dev. (Closes: #881074)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Nov 2017 19:02:11 +0200

qcomicbook (0.9.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release:
    - switches to Qt5 (Closes: #875129)
  * Update the patches:
    - 01_fr.diff: refresh
    - 02_desktop.diff: refresh
  * Update the build dependencies, according to the port to Qt5:
    - remove libqt4-dev, and libpoppler-qt4-dev
    - add qtbase5-dev, libqt5x11extras5-dev, qttools5-dev-tools, and
      libpoppler-qt5-dev
  * Point the watch file to the GitHub releases.
  * Drop the libimlib2-dev build dependency, as it is not used.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Sep 2017 16:17:42 +0200
