=== debian/control ===
--- 
+++ 
@@ -1,9 +1,17 @@
 Source: qcomicbook
 Section: graphics
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3.0), libimlib2-dev, pkg-config, cmake, libpoppler-qt4-dev
-Standards-Version: 3.9.8
+Maintainer: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Build-Depends:
+ debhelper-compat (= 13),
+ pkgconf,
+ cmake,
+ qtbase5-dev (>= 5.4.0),
+ libqt5x11extras5-dev (>= 5.4.0),
+ qttools5-dev-tools (>= 5.4.0),
+ qttools5-dev,
+ libpoppler-qt5-dev,
+Standards-Version: 4.7.2
 Homepage: http://github.com/stolowski/QComicBook
 
 Package: qcomicbook
