=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/qcomicbook-$1.tar.gz/g" \
    https://github.com/stolowski/QComicBook/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
